Priority: Normal   
Target version: 1.10.0   
Description

Description of problem:

foreman-debug generates netstat file as an output of "netstat -tulpn" command. -l means only listening sockets are displayed. While it

is often important to see also established connections, i.e. celery connected to CDN:443 during repo sync, goferd on a content host

to 5647, dispatch router on capsule to 5646, etc. If some such connection is missing, it is a symptom of some problem - but netstat in

foreman-debug does not provide that info.

Please provide "netstat putna" output rather (-l -> -a, print all sockets).

Version-Release number of selected component (if applicable):

foreman-debug-1.7.2.34-1.el7sat.noarch

How reproducible:

100%

Steps to Reproduce:

1. foreman-debug

2. (in extracted tarball):  grep ESTAB netstat

Actual results:

no established TCP connection

Expected results:

many established connections, like:

tcp        0      0 1.2.3.4:40912      1.2.3.4:5671       ESTABLISHED 25428/qdrouterd

Additional info:

Same applies to "ss" command as an alternative to netstat

Associated revisions

Revision ee3275af - 09/04/2015 08:22 AM - Pavel Moravec

Fixes #11677 - foreman-debug: netstat to print all connections

netstat and ss to be called with "-a" instead of "-l" option to collect

all sockets and not only listening

Signed-off-by: Pavel Moravec <pmoravec@redhat.com>

History

#1 - 09/03/2015 08:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2668 added

- Pull request deleted ()
#2 - 09/04/2015 08:24 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 09/04/2015 09:01 AM - Pavel Moravec

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ee3275af331a74e8aae6c3654c914ebd7d4267c7.
